## org.eclipse.emf.converter.ui.contribution.base
Class ModelConverterWizard.PageHelper

    java.lang.Object
      org.eclipse.emf.converter.ui.contribution.base.ModelConverterWizard.PageHelper

All Implemented Interfaces:
  IDisposable, IPageChangedListener

Enclosing class:
  ModelConverterWizard

    public static class ModelConverterWizard.PageHelper

extends java.lang.Object
implements IPageChangedListener, IDisposable

Field Summary
`protected boolean` `attached`
`protected java.lang.Object` `oldPage`
`protected IPageChangeProvider` `pageChangeProvider`

Constructor Summary
`ModelConverterWizard.PageHelper()`

Method Summary
`void` `dispose()` This is called to dispose the object.
`void` `firePageDeactivated(int cause)`
`boolean` `isAttached()`
`protected void` `pageChanged(java.lang.Object currentPage)`
`void` `pageChanged(PageChangedEvent event)`
`void` `setAttached(boolean attached)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attached

    protected boolean attached

### oldPage

    protected java.lang.Object oldPage

### pageChangeProvider

    protected IPageChangeProvider pageChangeProvider

Constructor Detail

### ModelConverterWizard.PageHelper

    public ModelConverterWizard.PageHelper()

Method Detail

### dispose

    public void dispose()

  Description copied from interface: `IDisposable`
  This is called to dispose the object.

  Specified by:
    `dispose` in interface `IDisposable`

### setAttached

    public void setAttached(boolean attached)

### isAttached

    public boolean isAttached()

### pageChanged

    public void pageChanged(PageChangedEvent event)

  Specified by:
    `pageChanged` in interface `IPageChangedListener`

### pageChanged

    protected void pageChanged(java.lang.Object currentPage)

### firePageDeactivated

    public void firePageDeactivated(int cause)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.